#include "guess.h"
#include <stdio.h>

int find_number(int MAX) {
    int st = 1;
    int dr = MAX;
    while(dr - st > 1) {
        int mij = (st + dr) / 2;
        if(smaller(mij)) {
            dr = mij;
        } else {
            st = mij;
        }
    }
    return st;
}

